全部产品
云市场

移动推送 iOS : SDK 集成出错排查步骤

更新时间:2019-09-09 10:16:50

排查步骤

  • 如果在您的项目中已经集成 「支付宝 SDK」 等 阿里系 SDK,再集成 移动推送 SDK 时,可能会造成 UTDID 冲突报错。

    • 若 Push SDK 是通过 Pods 依赖集成的,那么 支付宝 SDK 需手动集成 「剥离 UTDID 的 SDK」,具体参考:移动推送: 与支付宝的包出现 UTDID 冲突的解决办法
    • 若同时通过 Pods 集成 「推送 SDK」 和 阿里系其他 SDK,UTDID 冲突时,建议手动集成其中一个SDK(将 UTDID 依赖去除),仅保留 Pods 集成 UTDID 依赖 。
  • 若 Pods 集成 SDK 遇到问题,请参考:移动推送 iOS : Pods 集成 SDK 常见问题及解决方案汇总

  • 集成 SDK 后,如果控制台打印出以下 Log:

    1. [NSConcreteMutableData gzipDeflate]: unrecognized selector sent to instance
    • 请打开项目工程 配置 —> Build Settings —> Other Linker Flags,添加 -ObjC 即可解决,如下图所示:objc-pic
  • 如果配置 -ObjC 后 编译报错,请参考 : 移动推送 iOS : 配置 -ObjC 报错

  • 如果 SDK 集成后打包时报错:

  1. Invalid bitcode version (Producer: '800.0.24.1_0' Reader: '703.0.31_0')

若上述步骤仍未能定位问题,可以:

  1. 反馈问题时,请附带下述格式化的问题上下文信息,方便快速定位问题(带*项必填):
  2. 您的操作行为:
  3. 异常的现象:
  4. 设备的平台(AndroidiOS
  5. 推送方式(all? accountdevicetagalias?):
  6. * appkey
  7. * 消息ID(控制台可以查到):
  8. * deviceid(终端日志可以看到):